Extension Updates

Podcast Manager 2.1 has been released today and is now available for download.  This is the first stable release of the Podcast Manager 2.1 series.  With this release, the minimum supported version of Joomla! is 2.5.6, including all 3.x releases, and PHP 5.3 is required.

Read more: Podcast Manager 2.1 Released

Tweet Display Back 3.0.3 has been released today and is now available for download.  This is a maintenance release of the module.

Read more: Tweet Display Back 3.0.3 Released

Tweet Display Back 3.0.2 has been released today and is now available for download.  This is a maintenance release of the module.

Read more: Tweet Display Back 3.0.2 Released

The Podcast Manager 2.1 Release Candidate has been released today and is now available for download.  This is the release candidate of the Podcast Manager 2.1 release series and is considered feature complete and ready for release, however additional testing is requested prior to declaring this series stable.  With this release, the minimum supported version of Joomla! is 2.5.6, including all 3.x releases, and PHP 5.3 is required.

Read more: Podcast Manager 2.1 Release Candidate Released

Tweet Display Back 3.0.1 has been released today and is now available for download.  This is a maintenance release of the module.

Read more: Tweet Display Back 3.0.1 Released